extimer(3)

NAME
extimer - Using the timer (delays and interrupts). Allegro game programming library.

SYNOPSIS
#include <allegro.h>

Example extimer

DESCRIPTION
This program demonstrates how to use the timer routines. These can be a bit of a pain, because you have to be sure you lock all the memory that is used inside your interrupt handlers. The first part of the example shows a basic use of timing using the blocking function rest(). The second part shows how to use three timers with different frequencies in a non blocking way.

SEE ALSO
END_OF_FUNCTION(3), END_OF_MAIN(3), LOCK_FUNCTION(3), LOCK_VARIABLE(3), SCREEN_W(3), allegro_error(3), allegro_init(3), allegro_message(3), clear_to_color(3), desktop_palette(3), font(3), install_int(3), install_int_ex(3), install_keyboard(3), install_timer(3), key(3), keypressed(3), makecol(3), readkey(3), rest(3), screen(3), set_gfx_mode(3), set_palette(3), textprintf_centre_ex(3)